-- events 

function OnLoad ()
   	 CacheSound ("sfx/activate_something.ogg");
	SetProperty ("/:enter_trans_duration", 0.2);
	SetProperty ("/:leave_trans_duration", 0.2);    
end;


function OnEnter ()
    PlaySound ("sfx/activate_something.ogg");
	
	SetProperty ("name:label.text", str);
	--SetProperty ("Prof:active", 0);
end;

function OnLeave ()
end;


function OnClick (name)

	
	if (name == "OK") then
		PopScreen ();
		return;
	end;

end;


function OnUpdate (tdelta)

	akey = GetActiveScreenAnimKey ();

	trans = math.sin (0.5*3.1415926535 * GetActiveScreenTransPhase ());
	SetProperty ("panel:position_offset.y", (1-trans) * 20);
	SetProperty ("panel:alpha", trans);
	SetProperty ("fader:alpha", trans + trans * 0.05 * math.sin (2*3.141592*akey));
end;

function OnDraw ()

end;
